Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 978193003: Fix glGetActiveUniform/Attrib crashes due to state inconsistency (Closed)

Created:
4 years, 4 months ago by Zhenyao Mo
Modified:
4 years, 4 months ago
CC:
chromium-reviews, piman+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix glGetActiveUniform/Attrib crashes due to state inconsistency between what Chrome thinks and what the driver is. This is caused by we intercept invalid program and generate an error on LinkProgram rather than passing it to the driver, so the driver still have a valid program if the previous link succeeds. BUG=463599 TEST=test case in the bug R=sievers@chromium.org Committed: https://crrev.com/44ad5ecc3abf8f31d7e55a9ece5cea30a710fd77 Cr-Commit-Position: refs/heads/master@{#319746}

Patch Set 1 #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+8 lines, -6 lines) Patch
M gpu/blink/webgraphicscontext3d_impl.cc View 2 chunks +8 lines, -6 lines 4 comments Download

Messages

Total messages: 10 (2 generated)
Zhenyao Mo
Please take a look. This is not the right fix, but the minimum fix I ...
4 years, 4 months ago (2015-03-07 01:00:08 UTC) #2
Ken Russell (switch to Gerrit)
LGTM as a short-term fix.
4 years, 4 months ago (2015-03-07 02:21:12 UTC) #3
no sievers
https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc File gpu/blink/webgraphicscontext3d_impl.cc (right): https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc#newcode366 gpu/blink/webgraphicscontext3d_impl.cc:366: synthesizeGLError(GL_INVALID_VALUE); This seems correct if the program is not ...
4 years, 4 months ago (2015-03-09 19:10:08 UTC) #4
no sievers
https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc File gpu/blink/webgraphicscontext3d_impl.cc (right): https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc#newcode366 gpu/blink/webgraphicscontext3d_impl.cc:366: synthesizeGLError(GL_INVALID_VALUE); On 2015/03/09 19:10:08, sievers wrote: > This seems ...
4 years, 4 months ago (2015-03-09 19:13:54 UTC) #5
Zhenyao Mo
https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc File gpu/blink/webgraphicscontext3d_impl.cc (right): https://codereview.chromium.org/978193003/diff/1/gpu/blink/webgraphicscontext3d_impl.cc#newcode366 gpu/blink/webgraphicscontext3d_impl.cc:366: synthesizeGLError(GL_INVALID_VALUE); If the linked program has zero attribs or ...
4 years, 4 months ago (2015-03-09 19:58:28 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/978193003/1
4 years, 4 months ago (2015-03-09 19:59:09 UTC) #8
commit-bot: I haz the power
Committed patchset #1 (id:1)
4 years, 4 months ago (2015-03-09 22:13:28 UTC) #9
commit-bot: I haz the power
4 years, 4 months ago (2015-03-09 22:13:57 UTC) #10
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/44ad5ecc3abf8f31d7e55a9ece5cea30a710fd77
Cr-Commit-Position: refs/heads/master@{#319746}

Powered by Google App Engine
This is Rietveld 408576698